

SRC_URI = "git://gitlab.com/prpl-foundation/components/ambiorix/applications/amx-fcgi.git;protocol=https;nobranch=1"
SRCREV = "v0.4.4"
S = "${WORKDIR}/git"
inherit pkgconfig config-amx

SUMMARY = "Ambiorix Fast CGI app for web-servers"
LICENSE += "SAH & BSD-2-Clause-Patent"
LIC_FILES_CHKSUM += "file://LICENSE;md5=a705237d3056b8a8c89eb03485d722ce"

COMPONENT = "amx-fcgi"


DEPENDS += "libamxc"
DEPENDS += "libamxj"
DEPENDS += "libamxp"
DEPENDS += "libamxd"
DEPENDS += "libamxo"
DEPENDS += "libamxb"
DEPENDS += "libamxa"
DEPENDS += "fcgi"

RDEPENDS_${PN} += "libamxc"
RDEPENDS_${PN} += "libamxj"
RDEPENDS_${PN} += "libamxp"
RDEPENDS_${PN} += "libamxd"
RDEPENDS_${PN} += "libamxo"
RDEPENDS_${PN} += "libamxb"
RDEPENDS_${PN} += "libamxa"
RDEPENDS_${PN} += "fcgi"
RDEPENDS_${PN} += "lighttpd"
RDEPENDS_${PN} += "lighttpd-module-cgi"
RDEPENDS_${PN} += "lighttpd-module-fastcgi"
RDEPENDS_${PN} += "lighttpd-module-auth"
RDEPENDS_${PN} += "${@ "lighttpd-module-expire" if (d.getVar("CONFIG_REST_API_WEBUI_DEMO") is "y") else ""}"
RDEPENDS_${PN} += "lighttpd-module-authn-file"
RDEPENDS_${PN} += "lighttpd-module-proxy"

inherit update-rc.d
INITSCRIPT_NAME = "${COMPONENT}"
INITSCRIPT_PARAMS = "start 85 2 3 4 5 . stop 10 0 1 6 ."


FILES_${PN} += "/etc/amx/amx-fcgi/amx-fcgi.odl"
FILES_${PN} += "/usr/lib/amx/amx-fcgi/amx-fcgi.so"
FILES_${PN} += "/etc/lighttpd/conf.d/50-auth.conf"
FILES_${PN} += "/etc/lighttpd/conf.d/51-expire.conf"
FILES_${PN} += "/etc/lighttpd/conf.d/52-dirlisting.conf"
FILES_${PN} += "/etc/lighttpd/conf.d/60-amx-fcgi.conf"
FILES_${PN} += "/etc/lighttpd/lighttpd.user"
FILES_${PN} += "/www/animate/4.1.1/css/*"
FILES_${PN} += "/www/animate/4.1.1/css/*"
FILES_${PN} += "/www/bootstrap/4.6.0/css/*"
FILES_${PN} += "/www/bootstrap/4.6.0/js/*"
FILES_${PN} += "/www/jquery/3.5.1/js/*"
FILES_${PN} += "/www/tr181_web/css/*"
FILES_${PN} += "/www/tr181_web/js/*"
FILES_${PN} += "/www/tr181_web/templates/*"
FILES_${PN} += "/www/*.html"
FILES_${PN} += "/www/favicon.ico"
FILES_${PN} += "${BINDIR}/amx-fcgi"
FILES_${PN} += "${INITDIR}/${COMPONENT}"
FILES_${PN} += "${PROCMONDIR}/${COMPONENT}"
FILES_${PN} += "${LIBDIR}/debuginfo/D10${COMPONENT}"
